Bug 202336 - [patch] net/quiterss: update to 0.18.2, add QT5 option, fix Qt4 dependencies
Summary: [patch] net/quiterss: update to 0.18.2, add QT5 option, fix Qt4 dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-08-14 22:31 UTC by Andriy Voskoboinyk
Modified: 2015-08-19 01:50 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
Patch.diff (5.93 KB, patch)
2015-08-14 22:31 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (130 bytes, text/plain)
2015-08-14 22:32 UTC, Andriy Voskoboinyk
no flags Details
9.3-i386-qt4.log (268.41 KB, text/plain)
2015-08-14 22:32 UTC, Andriy Voskoboinyk
no flags Details
9.3-i386-qt5.log (351.73 KB, text/plain)
2015-08-14 22:33 UTC, Andriy Voskoboinyk
no flags Details
10.1-amd64-qt4.log (281.75 KB, text/plain)
2015-08-14 22:35 UTC, Andriy Voskoboinyk
no flags Details
10.1-amd64-qt5.log (363.12 KB, text/plain)
2015-08-14 22:35 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-08-14 22:31:36 UTC
Created attachment 159880 [details]
Patch.diff

- Update to 0.18.2
-- Add Qt5 option and switch to it by default (as it was done in 0.18.0).
- Fix Qt4 dependencies (qt4-linguist -> qt4-linguisttools, drop qt4-designer dependency).
- Don't build debug & release at the same time (and add DEBUG option to switch between them).
- Use ${DATADIR} variable.
- Add LICENSE_FILE.
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-08-14 22:32:29 UTC
Created attachment 159881 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-08-14 22:32:57 UTC
Created attachment 159882 [details]
9.3-i386-qt4.log
Comment 3 Andriy Voskoboinyk freebsd_committer 2015-08-14 22:33:28 UTC
Created attachment 159883 [details]
9.3-i386-qt5.log
Comment 4 Andriy Voskoboinyk freebsd_committer 2015-08-14 22:35:04 UTC
Created attachment 159884 [details]
10.1-amd64-qt4.log
Comment 5 Andriy Voskoboinyk freebsd_committer 2015-08-14 22:35:22 UTC
Created attachment 159885 [details]
10.1-amd64-qt5.log
Comment 6 Loïc Bartoletti freebsd_committer 2015-08-16 11:20:06 UTC
Tested and approved. Thanks!
Comment 7 Philip M. Gollucci freebsd_committer 2015-08-17 19:47:04 UTC
Take.
Comment 8 commit-hook freebsd_committer 2015-08-19 01:50:12 UTC
A commit references this bug:

Author: pgollucci
Date: Wed Aug 19 01:49:47 UTC 2015
New revision: 394670
URL: https://svnweb.freebsd.org/changeset/ports/394670

Log:
  net/quiterss: update to 0.18.2, add QT5 option, fix Qt4 dependencies

  - Update to 0.18.2
  - Add Qt5 option and switch to it by default (as it was done in 0.18.0).
  - Fix Qt4 dependencies (qt4-linguist -> qt4-linguisttools, drop qt4-designer)
  - Don't build debug & release at the same time (and add DEBUG option)
  - Use ${DATADIR} variable.
  - Add LICENSE_FILE.

  PR:                  202336
  Submitted by:        s3erios@gmail.com
  Approved by:         coder@tuxfamily.org (maintainer)

Changes:
  head/net/quiterss/Makefile
  head/net/quiterss/distinfo
  head/net/quiterss/files/
  head/net/quiterss/pkg-plist